View Issue Details

IDProjectCategoryView StatusLast Update
0002212NoesisGUIC# SDKpublic2021-12-15 11:47
Reporterttermeer-rcg Assigned Tosfernandez  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1 
Target Version3.1.2Fixed in Version3.1.2 
Summary0002212: Extending GridViewColumnHeader cause Unity to crash
DescriptionWhen using a custom class for GridViewColumnHeader, Unity Editor crashes when the screen using the custom GridViewColumnHeader is displayed.
Steps To Reproduce* Create a new class that extends GridViewColumnHeader
* Use it inside a Grid View
TagsC#, Unity
PlatformAny

Activities

ttermeer-rcg

ttermeer-rcg

2021-12-07 18:27

reporter  

Editor.log (47,487 bytes)   
[Licensing::Module] Successfully connected to LicensingClient on channel: "LicenseClient-ThorvaldterMeer" (connect: 0.00s, validation: 0.01s, handshake: 1.16s)
Entitlement-based licensing initiated
[LicensingClient] Licenses updated successfully

LICENSE SYSTEM [2021127 18:0:7] Next license update check is after 2021-12-08T17:00:07

LookupAccountName() failed. Error 1332

LICENSE SYSTEM [2021127 18:0:7] Couldn't set permissions of the license file (Win32_AddFileAccessRights).


LICENSE SYSTEM [2021127 18:0:7] Current license is already valid and activated. Skipping license activation process (Provided username/password will be ignored).
Built from '2020.3/staging' branch; Version is '2020.3.21f1 (a38c86f6690f) revision 10718342'; Using compiler version '192528614'; Build Type 'Release'
OS: 'Windows 10 Pro; OS build 19043.1348; Version 2009; 64bit' Language: 'en' Physical Memory: 16337 MB
[Licensing::Module] Serial number assigned to: "SB-C7X2-YGF3-N8B7-UT4C-XXXX"
BatchMode: 0, IsHumanControllingUs: 1, StartBugReporterOnCrash: 1, Is64bit: 1, IsPro: 1
[Package Manager] Server::Start -- Port 56876 was selected

COMMAND LINE ARGUMENTS:
D:\Unitys\2020.3.21f1\Editor\Unity.exe
-projectpath
D:\RnD\NoesisGridView
-useHub
-hubIPC
-cloudEnvironment
production
-licensingIpc
LicenseClient-ThorvaldterMeer
-hubSessionId
77d98760-56a5-11ec-a0d7-37cebefcbb7b
-accessToken
_j2upXO8hwNKJ2j_y3CUF5TS8AgLVt3TTNVa_yDzPOE008f
Successfully changed project path to: D:\RnD\NoesisGridView
D:/RnD/NoesisGridView
Using Asset Import Pipeline V2.
[Package Manager] Restoring resolved packages state from cache
[Package Manager] Done checking package constraints in 0.00s seconds
[Package Manager] 
Registered 46 packages:
  Packages from [https://packages.unity.com]:
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
  Built-in packages:
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
    [email protected] (location: D:\RnD\NoesisGridView\Library\PackageCache\[email protected])
  Local packages:
    [email protected]:D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1 (location: D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1)

[Subsystems] No new subsystems found in resolved package list.
Package Manager log level set to [2]
[Package Manager] Done registering packages in 0.11s seconds
Refreshing native plugins compatible for Editor in 583.02 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Initialize engine version: 2020.3.21f1 (a38c86f6690f)
[Subsystems] Discovering subsystems at path D:/Unitys/2020.3.21f1/Editor/Data/Resources/UnitySubsystems
[Subsystems] Discovering subsystems at path D:/RnD/NoesisGridView/Assets
GfxDevice: creating device client; threaded=1
Direct3D:
    Version:  Direct3D 11.0 [level 11.1]
    Renderer: NVIDIA GeForce GTX 1060 3GB (ID=0x1c02)
    Vendor:   
    VRAM:     2988 MB
    Driver:   27.21.14.5671
Initialize mono
Mono path[0] = 'D:/Unitys/2020.3.21f1/Editor/Data/Managed'
Mono path[1] = 'D:/Unitys/2020.3.21f1/Editor/Data/MonoBleedingEdge/lib/mono/unityjit'
Mono config path = 'D:/Unitys/2020.3.21f1/Editor/Data/MonoBleedingEdge/etc'
Using monoOptions --debugger-agent=transport=dt_socket,embedding=1,server=y,suspend=n,address=127.0.0.1:56896
AcceleratorClientConnectionCallback - connected - 192.168.3.136:10443
Begin MonoManager ReloadAssembly
Registering precompiled unity dll's ...
Register platform support module: D:/Unitys/2020.3.21f1/Editor/Data/PlaybackEngines/AndroidPlayer/UnityEditor.Android.Extensions.dll
Register platform support module: D:/Unitys/2020.3.21f1/Editor/Data/PlaybackEngines/WindowsStandaloneSupport/UnityEditor.WindowsStandalone.Extensions.dll
Registered in 0.013274 seconds.
Native extension for WindowsStandalone target not found
Native extension for Android target not found
Refreshing native plugins compatible for Editor in 54.56 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Mono: successfully reloaded assembly
- Completed reload, in  3.994 seconds
Domain Reload Profiling:
	ReloadAssembly (3995ms)
		BeginReloadAssembly (73ms)
			ExecutionOrderSort (0ms)
			DisableScriptedObjects (0ms)
			BackupInstance (0ms)
			ReleaseScriptingObjects (0ms)
			CreateAndSetChildDomain (1ms)
		EndReloadAssembly (598ms)
			LoadAssemblies (73ms)
			RebuildTransferFunctionScriptingTraits (0ms)
			SetupTypeCache (200ms)
			ReleaseScriptCaches (0ms)
			RebuildScriptCaches (38ms)
			SetupLoadedEditorAssemblies (231ms)
				LogAssemblyErrors (0ms)
				InitializePlatformSupportModulesInManaged (7ms)
				SetLoadedEditorAssemblies (0ms)
				RefreshPlugins (55ms)
				BeforeProcessingInitializeOnLoad (19ms)
				ProcessInitializeOnLoadAttributes (109ms)
				ProcessInitializeOnLoadMethodAttributes (41ms)
				AfterProcessingInitializeOnLoad (0ms)
				EditorAssembliesLoaded (0ms)
			ExecutionOrderSort2 (0ms)
			AwakeInstancesAfterBackupRestoration (0ms)
Platform modules already initialized, skipping
Validating Project structure ... 0.000367 seconds.
Shader import version has changed; will reimport all shaders...
Upgrading shader files ...0.000255 seconds.
Application.AssetDatabase Initial Script Refresh Start
Registering precompiled user dll's ...
Registered in 0.134954 seconds.
AssetDatabase: script compilation time: 0.043992s
Begin MonoManager ReloadAssembly
Native extension for WindowsStandalone target not found
Native extension for Android target not found
Refreshing native plugins compatible for Editor in 52.80 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Mono: successfully reloaded assembly
- Completed reload, in  1.846 seconds
Domain Reload Profiling:
	ReloadAssembly (1848ms)
		BeginReloadAssembly (190ms)
			ExecutionOrderSort (0ms)
			DisableScriptedObjects (6ms)
			BackupInstance (0ms)
			ReleaseScriptingObjects (0ms)
			CreateAndSetChildDomain (23ms)
		EndReloadAssembly (1576ms)
			LoadAssemblies (469ms)
			RebuildTransferFunctionScriptingTraits (0ms)
			SetupTypeCache (422ms)
			ReleaseScriptCaches (1ms)
			RebuildScriptCaches (57ms)
			SetupLoadedEditorAssemblies (469ms)
				LogAssemblyErrors (0ms)
				InitializePlatformSupportModulesInManaged (7ms)
				SetLoadedEditorAssemblies (0ms)
				RefreshPlugins (53ms)
				BeforeProcessingInitializeOnLoad (95ms)
				ProcessInitializeOnLoadAttributes (296ms)
				ProcessInitializeOnLoadMethodAttributes (14ms)
				AfterProcessingInitializeOnLoad (3ms)
				EditorAssembliesLoaded (0ms)
			ExecutionOrderSort2 (0ms)
			AwakeInstancesAfterBackupRestoration (9ms)
Platform modules already initialized, skipping
RefreshInfo: InitialScriptRefreshV2(NoUpdateAssetOptions) scanfilter:  ... 1 filters
RefreshProfiler: Total: 11337.113ms
	InvokeBeforeRefreshCallbacks: 0.700ms
	ApplyChangesToAssetFolders: 0.065ms
	Scan: 286.317ms
	OnSourceAssetsModified: 0.000ms
	InitializeImportedAssetsSnapshot: 0.181ms
	GetAllGuidsForCategorization: 0.355ms
	CategorizeAssets: 49.002ms
	ImportAndPostprocessOutOfDateAssets: 10968.190ms (10922.366ms without children)
		CompileScripts: 44.946ms
		PostProcessAllAssets: 0.000ms
		EnsureUptoDateAssetsAreRegisteredWithGuidPM: 0.265ms
		InitializingProgressBar: 0.184ms
		PostProcessAllAssetNotificationsAddChangedAssets: 0.319ms
		RestoreLoadedAssetsState: 0.110ms
	ReloadSourceAssets: 0.416ms
	UnloadImportedAssets: 0.005ms
	Hotreload: 1.336ms
	FixTempGuids: 0.005ms
	GatherAllCurrentPrimaryArtifactRevisions: 0.000ms
	UnloadStreamsBegin: 0.626ms
	LoadedImportedAssetsSnapshotReleaseGCHandles: 0.009ms
	GetLoadedSourceAssetsSnapshot: 0.145ms
	PersistCurrentRevisions: 0.596ms
	UnloadStreamsEnd: 14.586ms
	GenerateScriptTypeHashes: 0.361ms
	Untracked: 14.579ms
Application.AssetDatabase Initial Script Refresh End
Application.AssetDatabase.Refresh Start
Refreshing native plugins compatible for Editor in 0.67 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Refresh completed in 1.298792 seconds.
RefreshInfo: RefreshV2(ForceSynchronousImport) scanfilter: 
RefreshProfiler: Total: 1298.768ms
	InvokeBeforeRefreshCallbacks: 0.772ms
	ApplyChangesToAssetFolders: 0.224ms
	Scan: 3.612ms
	OnSourceAssetsModified: 0.000ms
	InitializeImportedAssetsSnapshot: 7.289ms
	GetAllGuidsForCategorization: 0.207ms
	CategorizeAssets: 47.274ms
	ImportAndPostprocessOutOfDateAssets: 1229.000ms (1.702ms without children)
		PostProcessAllAssets: 1220.111ms
		ReloadImportedAssets: 0.034ms
		EnsureUptoDateAssetsAreRegisteredWithGuidPM: 0.362ms
		InitializingProgressBar: 0.000ms
		PostProcessAllAssetNotificationsAddChangedAssets: 0.329ms
		OnDemandSchedulerStart: 0.641ms
		RestoreLoadedAssetsState: 1.114ms
	UpdateImportedAssetsSnapshot: 4.706ms
	ReloadSourceAssets: 0.334ms
	UnloadImportedAssets: 0.148ms
	Hotreload: 2.040ms
	FixTempGuids: 0.009ms
	GatherAllCurrentPrimaryArtifactRevisions: 0.141ms
	UnloadStreamsBegin: 0.020ms
	LoadedImportedAssetsSnapshotReleaseGCHandles: 1.210ms
	GetLoadedSourceAssetsSnapshot: 2.537ms
	PersistCurrentRevisions: 0.149ms
	UnloadStreamsEnd: 3.162ms
	GenerateScriptTypeHashes: 0.575ms
	Untracked: 0.641ms
Application.AssetDatabase.Refresh End
RefreshInfo: StopAssetImportingV2(ForceSynchronousImport) scanfilter: 
RefreshProfiler: Total: 8.543ms
Refresh completed in 0.062638 seconds.
RefreshInfo: RefreshV2(NoUpdateAssetOptions) scanfilter: 
RefreshProfiler: Total: 62.608ms
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.07 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Launched and connected shader compiler UnityShaderCompiler.exe after 0.08 seconds
Initializing Unity extensions:
Unloading 62 Unused Serialized files (Serialized files now loaded: 0)
ProgressiveSceneManager::Cancel()
Loaded scene 'Assets/Scenes/SampleScene.unity'
	Deserialize:            21.269 ms
	Integration:            13.288 ms
	Integration of assets:  0.014 ms
	Thread Wait Time:       0.158 ms
	Total Operation Time:   34.730 ms
System memory in use before: 92.3 MB.
System memory in use after: 91.5 MB.

Unloading 534 unused Assets to reduce memory usage. Loaded Objects now: 2951.
Total: 5.872500 ms (FindLiveObjects: 0.336400 ms CreateObjectMapping: 0.088700 ms MarkObjects: 4.408500 ms  DeleteObjects: 1.037700 ms)

[MODES] ModeService[none].Initialize
[MODES] ModeService[none].LoadModes
[MODES] Loading mode Default (0) for mode-current-id-NoesisGridView
[LAYOUT] About to load Library/CurrentLayout-default.dwlt, keepMainWindow=False
<RI> Initialized touch support.

<RI> Initialized touch support.

<RI> Initialized touch support.

<RI> Initialized touch support.

<RI> Initialized touch support.

<RI> Initialized touch support.

[MODES] ModeService[default].InitializeCurrentMode
[MODES] ModeService[default].UpdateModeMenus
IsTimeToCheckForNewEditor: Update time 1638898290 current 1638896430
<RI> Initializing input.

New input system (experimental) initialized
<RI> Input initialized.

[Project] Loading completed in 27.160 seconds
	Project init time: 				2.160 seconds
		Template init time: 		0.000 seconds
		Package Manager init time: 		0.000 seconds
		Asset Database init time: 		0.000 seconds
		Global illumination init time: 	0.000 seconds
		Assemblies load time: 			0.000 seconds
		Unity extensions init time: 	0.001 seconds
		Asset Database refresh time: 	0.000 seconds
	Scene opening time: 			0.561 seconds
Visual Studio Editor Package version 2.0.12 is available, we strongly encourage you to update from the Unity Package Manager for a better Visual Studio integration
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object)
UnityEngine.Debug:LogWarning (object)
Microsoft.Unity.VisualStudio.Editor.VisualStudioIntegration:HandleListRequestCompletion () (at Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs:149)
Microsoft.Unity.VisualStudio.Editor.VisualStudioIntegration:OnUpdate () (at Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs:160)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs Line: 149)

Created GICache directory at C:/Users/ThorvaldterMeer/AppData/LocalLow/Unity/Caches/GiCache. Took: 0.058s, timestamps: [27.870 - 27.928]
gi::BakeBackendSwitch: switching bake backend from 3 to 1.
Setting up 8 worker threads for Enlighten.
  Thread -> id: 7b7c -> priority: 1 
  Thread -> id: 8bb0 -> priority: 1 
  Thread -> id: 9670 -> priority: 1 
  Thread -> id: 8ab0 -> priority: 1 
  Thread -> id: 9af4 -> priority: 1 
[00:00:01] Enlighten: Builtin Sky manager started.
  Thread -> id: 9640 -> priority: 1 
  Thread -> id: 9624 -> priority: 1 
  Thread -> id: 6924 -> priority: 1 
TrimDiskCacheJob: Current cache size 1mb
[00:00:01] Enlighten: Finished 1 Bake Ambient Probe job (0.00s execute, 0.00s integrate, 0.05s wallclock)
Querying for cacheable assets in Cache Server:
	4bca666f777a40c4f90ae70fb4cc67d0:Assets/SortableGridViewColumnHeader.cs
RemoteAssetCache - Download - Metadata - success:false, namespace:defaultmetadata, key:f645873c3c3ae5bf8b77555f4d870998
Start importing Assets/SortableGridViewColumnHeader.cs using Guid(4bca666f777a40c4f90ae70fb4cc67d0) Importer(-1,00000000000000000000000000000000)  -> (artifact id: '49410e573e1efe00ffc4f5b6ea5d65ea') in 0.026679 seconds 
RemoteAssetCache::AddArtifactToCacheServer - artifactKey='Guid(4bca666f777a40c4f90ae70fb4cc67d0) Importer(-1,00000000000000000000000000000000)' Artifact id='49410e573e1efe00ffc4f5b6ea5d65ea' Key (and library path)='Library/Artifacts/1d/1d82c5af4d31cf5276cfa8494a0c8c58'
RemoteAssetCache - Upload - Artifact - success:true, namespace:defaultmetadata, key:1d82c5af4d31cf5276cfa8494a0c8c58
RemoteAssetCache - Download - Metadata - success:false, namespace:defaultmetadata, key:bf41992f657d14282e61dac4ca01b4be
RemoteAssetCache - Upload - Metadata - success:true, namespace:defaultmetadata, key:bf41992f657d14282e61dac4ca01b4be
AssetDatabase: script compilation time: 0.029352s
- Starting script compilation
- Starting compile Library/ScriptAssemblies/Assembly-CSharp.dll
Deleting stamp file at Library/ScriptAssemblies/BuiltinAssemblies.stamp
- Finished compile Library/ScriptAssemblies/Assembly-CSharp.dll in 2.208052 seconds
- Finished script compilation in 2.241078 seconds
Reloading assemblies after forced synchronous recompile.
Begin MonoManager ReloadAssembly
Native extension for WindowsStandalone target not found
Native extension for Android target not found
Refreshing native plugins compatible for Editor in 26.04 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
[MODES] ModeService[none].Initialize
[MODES] ModeService[none].LoadModes
[MODES] Loading mode Default (0) for mode-current-id-NoesisGridView
Mono: successfully reloaded assembly
- Completed reload, in  2.371 seconds
Domain Reload Profiling:
	ReloadAssembly (2372ms)
		BeginReloadAssembly (383ms)
			ExecutionOrderSort (0ms)
			DisableScriptedObjects (39ms)
			BackupInstance (0ms)
			ReleaseScriptingObjects (0ms)
			CreateAndSetChildDomain (184ms)
		EndReloadAssembly (1913ms)
			LoadAssemblies (158ms)
			RebuildTransferFunctionScriptingTraits (0ms)
			SetupTypeCache (381ms)
			ReleaseScriptCaches (1ms)
			RebuildScriptCaches (57ms)
			SetupLoadedEditorAssemblies (551ms)
				LogAssemblyErrors (0ms)
				InitializePlatformSupportModulesInManaged (8ms)
				SetLoadedEditorAssemblies (1ms)
				RefreshPlugins (26ms)
				BeforeProcessingInitializeOnLoad (155ms)
				ProcessInitializeOnLoadAttributes (341ms)
				ProcessInitializeOnLoadMethodAttributes (16ms)
				AfterProcessingInitializeOnLoad (3ms)
				EditorAssembliesLoaded (0ms)
			ExecutionOrderSort2 (0ms)
			AwakeInstancesAfterBackupRestoration (384ms)
Platform modules already initialized, skipping
Reloading assemblies failed.
Start importing Assets/NoesisGridViewMainView.xaml using Guid(5fc9964360c36a145ab86859b009566e) Importer(-1,00000000000000000000000000000000)  -> (artifact id: '7cc2a4a49447d3d2dfbccfdbe1648500') in 0.042581 seconds 
Refreshing native plugins compatible for Editor in 0.78 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Refresh completed in 5.321031 seconds.
RefreshInfo: RefreshV2(AllowForceSynchronousImport) scanfilter: 
RefreshProfiler: Total: 5320.293ms
	InvokeBeforeRefreshCallbacks: 1.641ms
	ApplyChangesToAssetFolders: 0.073ms
	Scan: 16.271ms
	OnSourceAssetsModified: 1.075ms
	InitializeImportedAssetsSnapshot: 6.008ms
	GetAllGuidsForCategorization: 0.651ms
	CategorizeAssets: 47.791ms
	ImportAndPostprocessOutOfDateAssets: 5220.998ms (2383.851ms without children)
		ImportManagerImport: 277.795ms (204.017ms without children)
			ImportInProcess: 73.711ms
			UpdateCategorizedAssets: 0.067ms
 (-0.024ms without children)
				RemoteAssetCacheMatchMetadataResults: 0.024ms
		CompileScripts: 2364.245ms
		PostProcessAllAssets: 181.711ms
		ReloadImportedAssets: 0.002ms
		EnsureUptoDateAssetsAreRegisteredWithGuidPM: 0.616ms
		InitializingProgressBar: 0.035ms
		PostProcessAllAssetNotificationsAddChangedAssets: 0.532ms
		OnDemandSchedulerStart: 0.252ms
		RestoreLoadedAssetsState: 1.804ms
	UpdateImportedAssetsSnapshot: 10.154ms
	ReloadSourceAssets: 1.657ms
	UnloadImportedAssets: 0.706ms
	Hotreload: 4.961ms
	FixTempGuids: 0.004ms
	GatherAllCurrentPrimaryArtifactRevisions: 0.159ms
	UnloadStreamsBegin: 0.234ms
	LoadedImportedAssetsSnapshotReleaseGCHandles: 0.514ms
	GetLoadedSourceAssetsSnapshot: 4.354ms
	PersistCurrentRevisions: 0.273ms
	UnloadStreamsEnd: 0.098ms
	GenerateScriptTypeHashes: 0.525ms
	Untracked: 12.825ms
 (Total: 0.000 MB)
Files imported locally: 0
Files uploaded to cache server: 0
[MODES] ModeService[default].RefreshMenus
[MODES] ModeService[default].UpdateModeMenus
[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Colors.Dark.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Brushes.DarkBlue.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Fonts.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Styles.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.DarkBlue.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Assets/NoesisGridViewMainView.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.GUI:LoadXaml (System.IO.Stream,string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:270)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:17)
NoesisPostprocessor/<>c__DisplayClass0_0:<OnPostprocessAllAssets>b__0 () (at NoesisGUI-Unity-3.1.1/Editor/NoesisPostprocessor.cs:37)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

Visual Studio Editor Package version 2.0.12 is available, we strongly encourage you to update from the Unity Package Manager for a better Visual Studio integration
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object)
UnityEngine.Debug:LogWarning (object)
Microsoft.Unity.VisualStudio.Editor.VisualStudioIntegration:HandleListRequestCompletion () (at Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs:149)
Microsoft.Unity.VisualStudio.Editor.VisualStudioIntegration:OnUpdate () (at Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs:160)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()

(Filename: Library/PackageCache/[email protected]/Editor/VisualStudioIntegration.cs Line: 149)

Reloading assemblies for play mode.
Begin MonoManager ReloadAssembly
Native extension for WindowsStandalone target not found
Native extension for Android target not found
Refreshing native plugins compatible for Editor in 0.74 ms, found 3 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
[MODES] ModeService[none].Initialize
[MODES] ModeService[none].LoadModes
[MODES] Loading mode Default (0) for mode-current-id-NoesisGridView
Mono: successfully reloaded assembly
- Completed reload, in  2.028 seconds
Domain Reload Profiling:
	ReloadAssembly (2029ms)
		BeginReloadAssembly (319ms)
			ExecutionOrderSort (0ms)
			DisableScriptedObjects (38ms)
			BackupInstance (0ms)
			ReleaseScriptingObjects (0ms)
			CreateAndSetChildDomain (196ms)
		EndReloadAssembly (1633ms)
			LoadAssemblies (113ms)
			RebuildTransferFunctionScriptingTraits (0ms)
			SetupTypeCache (366ms)
			ReleaseScriptCaches (1ms)
			RebuildScriptCaches (56ms)
			SetupLoadedEditorAssemblies (443ms)
				LogAssemblyErrors (0ms)
				InitializePlatformSupportModulesInManaged (8ms)
				SetLoadedEditorAssemblies (1ms)
				RefreshPlugins (1ms)
				BeforeProcessingInitializeOnLoad (93ms)
				ProcessInitializeOnLoadAttributes (325ms)
				ProcessInitializeOnLoadMethodAttributes (12ms)
				AfterProcessingInitializeOnLoad (3ms)
				EditorAssembliesLoaded (0ms)
			ExecutionOrderSort2 (0ms)
			AwakeInstancesAfterBackupRestoration (357ms)
Platform modules already initialized, skipping
<RI> Initialized touch support.

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Colors.Dark.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Brushes.DarkBlue.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Fonts.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.Styles.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Packages/com.noesis.noesisgui/Theme/NoesisTheme.DarkBlue.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.ResourceDictionary:set_Source (System.Uri) (at NoesisGUI-Unity-3.1.1/Runtime/API/Proxies/ResourceDictionary.cs:315)
Noesis.GUI:LoadApplicationResources (string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:166)
NoesisUnity:SetApplicationResources () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:119)
NoesisUnity:Init () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:38)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:16)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

[NOESIS/I] 'Assets/NoesisGridViewMainView.xaml' loaded
UnityEngine.StackTraceUtility:ExtractStackTrace ()
UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
UnityEngine.Logger:Log (UnityEngine.LogType,object,UnityEngine.Object)
UnityEngine.Debug:Log (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs:307)
Noesis.GUI:LoadXaml (System.IO.Stream,string) (at NoesisGUI-Unity-3.1.1/Runtime/API/Core/NoesisGUI.cs:270)
NoesisXaml:Load () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisXaml.cs:17)
NoesisView:LoadXaml (bool) (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:465)
NoesisView:OnEnable () (at NoesisGUI-Unity-3.1.1/Runtime/NoesisView.cs:553)

(Filename: NoesisGUI-Unity-3.1.1/Runtime/NoesisUnity.cs Line: 307)

Loaded scene 'Temp/__Backupscenes/0.backup'
	Deserialize:            1.095 ms
	Integration:            344.290 ms
	Integration of assets:  0.001 ms
	Thread Wait Time:       0.007 ms
	Total Operation Time:   345.393 ms
Stacktrace:

  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) Noesis.View.Noesis_View_SetSize (System.Runtime.InteropServices.HandleRef,int,int) [0x00012] in <1e3bc82ef5ad47b4abbb1063735708b8>:0
  at Noesis.View.SetSize (int,int) [0x00000] in D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1\Runtime\API\Core\View.cs:65
  at NoesisView.UpdateSize () [0x0000e] in D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1\Runtime\NoesisView.cs:885
  at NoesisView.ExternalUpdateInternal () [0x00031] in D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1\Runtime\NoesisView.cs:930
  at NoesisView.LateUpdate () [0x00008] in D:\RnD\NoesisGridView\NoesisGUI-Unity-3.1.1\Runtime\NoesisView.cs:903
  at (wrapper runtime-invoke) object.runtime_invoke_void__this__ (object,intptr,intptr,intptr) [0x00020] in <695d1cc93cca45069c528c15c9fdd749>:0

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Received signal SIGSEGV
Stack trace:
0x00007ffd6d84f9f4 (Noesis) CanExecuteRoutedEventArgs_GetCommandHelper
0x00007ffd6d85172a (Noesis) CanExecuteRoutedEventArgs_GetCommandHelper
0x00007ffd6d850ba6 (Noesis) CanExecuteRoutedEventArgs_GetCommandHelper
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d72bef6 (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d7ca9c1 (Noesis) Noesis_GetPlatformID
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d73d5c9 (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d73c4c0 (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d73d73a (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d6ce996 (Noesis) CornerRadius_GetStaticType
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d7cda00 (Noesis) Noesis_GetPlatformID
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d73d5c9 (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d73c45a (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d73d73a (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d6ce996 (Noesis) CornerRadius_GetStaticType
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d7cda00 (Noesis) Noesis_GetPlatformID
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d72bef6 (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d76b381 (Noesis) ItemsControl_ContainerFromElement__SWIG_0
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d73e5de (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d73d789 (Noesis) Noesis_RenderDevice_EndOnscreenRender
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d6ce996 (Noesis) CornerRadius_GetStaticType
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d72bef6 (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d6ce996 (Noesis) CornerRadius_GetStaticType
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d72bef6 (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d8c2772 (Noesis) Noesis_UIPropertyMetadata_Create
0x00007ffd6d72bc8e (Noesis) BindingOperations_GetBindingExpression
0x00007ffd6d811534 (Noesis) Noesis_RenderDevice_SetRenderTarget
0x00007ffd6d81bb41 (Noesis) DataObjectEventArgs_IsDragDrop_get
0x00007ffd6d81b9fb (Noesis) DataObjectEventArgs_IsDragDrop_get
0x00007ffd6d819bb1 (Noesis) RoutedEventArgs_RoutedEvent_get
0x000001c0c731ed1c (Mono JIT Code) (wrapper managed-to-native) Noesis.View:Noesis_View_SetSize (System.Runtime.InteropServices.HandleRef,int,int)
0x000001c0c731ec63 (Mono JIT Code) [View.cs:66] Noesis.View:SetSize (int,int) 
0x000001c0c731e88b (Mono JIT Code) [NoesisView.cs:886] NoesisView:UpdateSize () 
0x000001c0c731e3a3 (Mono JIT Code) [NoesisView.cs:931] NoesisView:ExternalUpdateInternal () 
0x000001c0c731e2db (Mono JIT Code) [NoesisView.cs:905] NoesisView:LateUpdate () 
0x000001c0a508d1c0 (Mono JIT Code) (wrapper runtime-invoke) object:runtime_invoke_void__this__ (object,intptr,intptr,intptr)
0x00007ffd6f1ff280 (mono-2.0-bdwgc) [mini-runtime.c:2827] mono_jit_runtime_invoke 
0x00007ffd6f182ac2 (mono-2.0-bdwgc) [object.c:2921] do_runtime_invoke 
0x00007ffd6f18bb1f (mono-2.0-bdwgc) [object.c:2968] mono_runtime_invoke 
0x00007ff6bb4329c4 (Unity) scripting_method_invoke
0x00007ff6bb42aeb5 (Unity) ScriptingInvocation::Invoke
0x00007ff6bb3d65f4 (Unity) MonoBehaviour::CallMethodIfAvailable
0x00007ff6bb3d66fc (Unity) MonoBehaviour::CallUpdateMethod
0x00007ff6ba88d7f8 (Unity) BaseBehaviourManager::CommonUpdate<LateBehaviourManager>
0x00007ff6ba8975ba (Unity) LateBehaviourManager::Update
0x00007ff6bad0b55d (Unity) `InitPlayerLoopCallbacks'::`2'::PreLateUpdateScriptRunBehaviourLateUpdateRegistrator::Forward
0x00007ff6bacec19c (Unity) ExecutePlayerLoop
0x00007ff6bacec273 (Unity) ExecutePlayerLoop
0x00007ff6bacf30a9 (Unity) PlayerLoop
0x00007ff6bc14c4a1 (Unity) PlayerLoopController::UpdateScene
0x00007ff6bc131eef (Unity) PlayerLoopController::EnterPlayMode
0x00007ff6bc1475fd (Unity) PlayerLoopController::SetIsPlaying
0x00007ff6bc14a377 (Unity) Application::TickTimer
0x00007ff6bcaeb4a1 (Unity) MainMessageLoop
0x00007ff6bcaef4e1 (Unity) WinMain
0x00007ff6be94def6 (Unity) __scrt_common_main_seh
0x00007ffe20117034 (KERNEL32) BaseThreadInitThunk
0x00007ffe213e2651 (ntdll) RtlUserThreadStart

Editor.log (47,487 bytes)   
crash.dmp (1,062,958 bytes)
SampleProject.zip (45,468 bytes)

Issue History

Date Modified Username Field Change
2021-12-07 18:27 ttermeer-rcg New Issue
2021-12-07 18:27 ttermeer-rcg Tag Attached: C#
2021-12-07 18:27 ttermeer-rcg Tag Attached: Unity
2021-12-07 18:27 ttermeer-rcg File Added: Editor.log
2021-12-07 18:27 ttermeer-rcg File Added: crash.dmp
2021-12-07 18:27 ttermeer-rcg File Added: SampleProject.zip
2021-12-09 11:38 jsantos Assigned To => sfernandez
2021-12-09 11:38 jsantos Status new => assigned
2021-12-09 11:38 jsantos Target Version => 3.1.2
2021-12-09 11:38 jsantos Steps to Reproduce Updated
2021-12-15 11:47 sfernandez Status assigned => resolved
2021-12-15 11:47 sfernandez Resolution open => fixed
2021-12-15 11:47 sfernandez Fixed in Version => 3.1.2